Skip to main content
POST
/
v1
/
provisioning
/
client-profiles
/
{client_id}
/
data-sources
/
{ds_id}
/
upload
Upload Data Source Endpoint
curl --request POST \
  --url https://api.example.com/v1/provisioning/client-profiles/{client_id}/data-sources/{ds_id}/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'file=<string>'
import requests

url = "https://api.example.com/v1/provisioning/client-profiles/{client_id}/data-sources/{ds_id}/upload"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.example.com/v1/provisioning/client-profiles/{client_id}/data-sources/{ds_id}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

client_id
string
required
ds_id
string
required

Body

multipart/form-data
file
string
required

Response

Successful Response